Add travis configuration for linux proof builds #2840

Merged
merged 1 commit into from Feb 12, 2017

Projects

None yet

2 participants

@hacst
Member
hacst commented Feb 12, 2017

Travis builds with Ubuntu 12.04 so this is more of a
legacy compilation test with qt4. Should still be
helpful.

@hacst hacst requested a review from mkrautz Feb 12, 2017
.travis.yml
+ - sudo apt-get build-dep -qq mumble
+
+script:
+ - qmake CONFIG+="g15-emulator qt4-legacy-compat" -recursive && make -j2
@mkrautz
mkrautz Feb 12, 2017 Member

Should we add 'release' here? I am always confused by Qt's default, since it depends on how your Qt was built.

@hacst
hacst Feb 12, 2017 edited Member

I guess we can. But I thought that was implicit in this case? We are using a system Qt after all.

@hacst hacst Add travis configuration for linux proof builds
Travis builds with Ubuntu 12.04 so this is more of a
legacy compilation test with qt4. Should still be
helpful.
d9ba3db
@hacst
Member
hacst commented Feb 12, 2017

@mkrautz : PTAL

@mkrautz mkrautz merged commit 1619dbb into mumble-voip:master Feb 12, 2017

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment